Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » Servers & Services » не работещ web phpmyadmin
Тема: не работещ web phpmyadmin
Мнение #1 Skip to the next post in this topic.
Написано на: Февруари 26 2010, 17:59

No avatar chosen




Група: Li fans
Мнения: 19
Регистриран: Декември 2009

Оценка: няма

Offline
Качих на апачи сървър phpmyadmin система, но не работи. Показва се следната грешка:
Code Sample: 

Deprecated: Function eregi() is deprecated in /srv/www/htdocs/phpmyadmin/libraries/select_lang.lib.php on line 208

Warning: Cannot modify header information - headers already sent by (output started at /srv/www/htdocs/phpmyadmin/libraries/select_lang.lib.php:208) in /srv/www/htdocs/phpmyadmin/libraries/database_interface.lib.php on line 68

В какво ли е проблемът :22;
Контакти:  rotation

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 02 2010, 15:01

No avatar chosen




Група: Li gurus
Мнения: 1489
Регистриран: Април 2005

Оценка: 5

Offline
ами то ясно си пише какъв е проблемът "headers already sent"
а хедърът се изпраща при подаване на какъвто и да е текст към клиентът (браузерът) - причината е предупреждението "Deprecated: Function eregi() is deprecated"

решението - забрани извеждането на подобни предупреждение (в php.ini)
Контакти:  mcwolf

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 03 2010, 15:11

No avatar chosen




Група: Li fans
Мнения: 18
Регистриран: Април 2005

Оценка: няма

Offline
Това едва ли ще реши кардинално проблема.
Най-вероятно си с php 5.3 и функцията която ползва тази версия на phpmyadmin вече не се поддържа от php.

Имаш 2 варианта

Или да сложиш phpmyadmin за php 5.3 или да минеш на по стара версия на php

Пием пеем пушим три в едно
Контакти:  krou
WEB  
Мнение #4 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 04 2010, 11:22

No avatar chosen




Група: Li gurus
Мнения: 1489
Регистриран: Април 2005

Оценка: 5

Offline
решението ще е кардинално :) - функцията се поддържа но не се препоръчва

общо взето предупрежденията и съобщенията за грешки имат отношение към разработчикът на приложението (и този който го поддържа) и абсолютно никакво към крайния потребител - така че изключването на предупрежденията (и съобщенията за грешки) може да се приеме за препоръчително

най вероятно могат да се забранят и от .htaccess за да не се налага да се пипа конфигурационния файл - ма нямам време да преглеждам документацията на php
Контакти:  mcwolf

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #5
Skip to the previous post in this topic. Написано на: Март 05 2010, 08:22

No avatar chosen




Група: Li fans
Мнения: 19
Регистриран: Декември 2009

Оценка: няма

Offline
Да, под php 5.3 съм. Има ли phpmyadmin за тази версия, защото аз не намирам :(
Контакти:  rotation

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Общо 4 отговор(а) от Февруари 26 2010, 17:59 до сега
 » Начало » Li Форуми » Help & Support » Servers & Services » не работещ web phpmyadmin

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums